use jaby_engine_fconv::images::{*};
use clap::{Parser, Subcommand};
use std::path::PathBuf;

#[derive(Parser)]
#[clap(about = "Converts files to various JabyEngine related file formats", long_about = None)]
struct CommandLine {
    #[clap(short='o')]
    output_file: Option<PathBuf>,

    #[clap(value_parser)]
    input_file: Option<PathBuf>,

    #[clap(subcommand)]
    sub_command: SubCommands,
}

#[derive(Subcommand)]
enum SubCommands {
    SimpleTIM(reduced_tim::Arguments)
}

fn main() {
    match CommandLine::try_parse() {
        Ok(_cmd)   => println!("Planschbecken"),
        Err(error) => println!("{}", error.to_string())
    } 
}